/v1/communities/{community_id}/posts/{post_id}/comments/{comment_id}AuthSoft-delete a comment.
Path parameters
community_id*stringSocial community UUID. Must belong to the PAK's workspace.
post_id*stringSocial post UUID the comments thread under.
comment_id*stringSocial comment UUID.
Response · 204
Comment soft-deleted.
Example
Request
DELETE https://social.productcraft.co/v1/communities/{community_id}/posts/{post_id}/comments/{comment_id}
Authorization: Bearer YOUR_TOKENimport { Social } from "@productcraft/social";
// Reads PRODUCTCRAFT_API_KEY from the environment
const social = new Social();
await social.community("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f").posts.comments.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");social.community(…).posts.comments.delete(postId, commentId, options?): void